petsc-3.10.5 2019-03-28
Report Typos and Errors

# DMSwarmCreateLocalVectorFromField

Creates a Vec object sharing the array associated with a given field

### Synopsis

    #include "petscdmswarm.h"
    PETSC_EXTERN PetscErrorCode DMSwarmCreateLocalVectorFromField(DM dm,const char fieldname[],Vec *vec)

Collective on DM

### Input parameters

| dm | - a DMSwarm
| fieldname | - the textual name given to a registered field

### Output parameter

vec -the vector

### Notes

The vector must be returned using a matching call to DMSwarmDestroyLocalVectorFromField().

### See Also

DMSwarmRegisterPetscDatatypeField(), DMSwarmDestroyLocalVectorFromField()

### Level

beginner

### Location

src/dm/impls/swarm/swarm.c
Index of all DMSWARM routines
Table of Contents for all manual pages
Index of all manual pages